| Home | Libraries | People | FAQ | More

##### basic_static_string::find_first_not_of (5 of 5 overloads)

Find the first occurrence of a character not equal to `c`.

###### Synopsis

    constexpr size_type
    find_first_not_of(
        value_type c,
        size_type pos = 0) const;

###### Description

Finds the first occurrence of a character that is not equal to `c`.

###### Complexity

Linear.

###### Return Value

The index corrosponding to the first character of `{begin() + pos, end())` that is not equal to `c` if it exists, and `npos` otherwise.

###### Parameters

Name | Description
--- | ---
`c` | The character to ignore.
`pos` | The index to start searching at. The default argument for this parameter is `0`.